TLogStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TLogStat

- java.lang.Object
- - com.sleepycat.thrift.TLogStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TLogStat>, org.apache.thrift.TBase<TLogStat,TLogStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TLogStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TLogStat,TLogStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TLogStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TLogStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `curFile`
    `int` | `curOffset`
    `int` | `diskFile`
    `int` | `diskOffset`
    `int` | `fileidInit`
    `int` | `lgBSize`
    `int` | `lgSize`
    `int` | `magic`
    `int` | `maxCommitperflush`
    `int` | `maxNfileId`
    `static java.util.Map<TLogStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `minCommitperflush`
    `int` | `mode`
    `int` | `numFileId`
    `long` | `RCount`
    `long` | `record`
    `long` | `regionNowait`
    `long` | `regionWait`
    `long` | `regSize`
    `long` | `SCount`
    `int` | `version`
    `int` | `WBytes`
    `int` | `wcBytes`
    `int` | `wcMbytes`
    `long` | `WCount`
    `long` | `WCountFill`
    `int` | `WMbytes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLogStat()`
    `TLogStat(int curFile, int curOffset, int diskFile, int diskOffset, int fileidInit, int lgBSize, int lgSize, int magic, int maxCommitperflush, int maxNfileId, int minCommitperflush, int mode, int numFileId, long RCount, long record, long regionNowait, long regionWait, long regSize, long SCount, int version, int WBytes, int wcBytes, int wcMbytes, int WMbytes, long WCount, long WCountFill)`
    `TLogStat(TLogStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TLogStat other)`
    `TLogStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TLogStat that)`
    `TLogStat._Fields` | `fieldForId(int fieldId)`
    `int` | `getCurFile()`
    `int` | `getCurOffset()`
    `int` | `getDiskFile()`
    `int` | `getDiskOffset()`
    `java.lang.Object` | `getFieldValue(TLogStat._Fields field)`
    `int` | `getFileidInit()`
    `int` | `getLgBSize()`
    `int` | `getLgSize()`
    `int` | `getMagic()`
    `int` | `getMaxCommitperflush()`
    `int` | `getMaxNfileId()`
    `int` | `getMinCommitperflush()`
    `int` | `getMode()`
    `int` | `getNumFileId()`
    `long` | `getRCount()`
    `long` | `getRecord()`
    `long` | `getRegionNowait()`
    `long` | `getRegionWait()`
    `long` | `getRegSize()`
    `long` | `getSCount()`
    `int` | `getVersion()`
    `int` | `getWBytes()`
    `int` | `getWcBytes()`
    `int` | `getWcMbytes()`
    `long` | `getWCount()`
    `long` | `getWCountFill()`
    `int` | `getWMbytes()`
    `int` | `hashCode()`
    `boolean` | `isSet(TLogStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCurFile()` Returns true if field curFile is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCurOffset()` Returns true if field curOffset is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDiskFile()` Returns true if field diskFile is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDiskOffset()` Returns true if field diskOffset is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFileidInit()` Returns true if field fileidInit is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLgBSize()` Returns true if field lgBSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLgSize()` Returns true if field lgSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMagic()` Returns true if field magic is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxCommitperflush()` Returns true if field maxCommitperflush is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxNfileId()` Returns true if field maxNfileId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMinCommitperflush()` Returns true if field minCommitperflush is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMode()` Returns true if field mode is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumFileId()` Returns true if field numFileId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRCount()` Returns true if field RCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRecord()` Returns true if field record is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionNowait()` Returns true if field regionNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionWait()` Returns true if field regionWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegSize()` Returns true if field regSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSCount()` Returns true if field SCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetVersion()` Returns true if field version is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWBytes()` Returns true if field WBytes is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWcBytes()` Returns true if field wcBytes is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWcMbytes()` Returns true if field wcMbytes is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWCount()` Returns true if field WCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWCountFill()` Returns true if field WCountFill is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWMbytes()` Returns true if field WMbytes is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TLogStat` | `setCurFile(int curFile)`
    `void` | `setCurFileIsSet(boolean value)`
    `TLogStat` | `setCurOffset(int curOffset)`
    `void` | `setCurOffsetIsSet(boolean value)`
    `TLogStat` | `setDiskFile(int diskFile)`
    `void` | `setDiskFileIsSet(boolean value)`
    `TLogStat` | `setDiskOffset(int diskOffset)`
    `void` | `setDiskOffsetIsSet(boolean value)`
    `void` | `setFieldValue(TLogStat._Fields field, java.lang.Object value)`
    `TLogStat` | `setFileidInit(int fileidInit)`
    `void` | `setFileidInitIsSet(boolean value)`
    `TLogStat` | `setLgBSize(int lgBSize)`
    `void` | `setLgBSizeIsSet(boolean value)`
    `TLogStat` | `setLgSize(int lgSize)`
    `void` | `setLgSizeIsSet(boolean value)`
    `TLogStat` | `setMagic(int magic)`
    `void` | `setMagicIsSet(boolean value)`
    `TLogStat` | `setMaxCommitperflush(int maxCommitperflush)`
    `void` | `setMaxCommitperflushIsSet(boolean value)`
    `TLogStat` | `setMaxNfileId(int maxNfileId)`
    `void` | `setMaxNfileIdIsSet(boolean value)`
    `TLogStat` | `setMinCommitperflush(int minCommitperflush)`
    `void` | `setMinCommitperflushIsSet(boolean value)`
    `TLogStat` | `setMode(int mode)`
    `void` | `setModeIsSet(boolean value)`
    `TLogStat` | `setNumFileId(int numFileId)`
    `void` | `setNumFileIdIsSet(boolean value)`
    `TLogStat` | `setRCount(long RCount)`
    `void` | `setRCountIsSet(boolean value)`
    `TLogStat` | `setRecord(long record)`
    `void` | `setRecordIsSet(boolean value)`
    `TLogStat` | `setRegionNowait(long regionNowait)`
    `void` | `setRegionNowaitIsSet(boolean value)`
    `TLogStat` | `setRegionWait(long regionWait)`
    `void` | `setRegionWaitIsSet(boolean value)`
    `TLogStat` | `setRegSize(long regSize)`
    `void` | `setRegSizeIsSet(boolean value)`
    `TLogStat` | `setSCount(long SCount)`
    `void` | `setSCountIsSet(boolean value)`
    `TLogStat` | `setVersion(int version)`
    `void` | `setVersionIsSet(boolean value)`
    `TLogStat` | `setWBytes(int WBytes)`
    `void` | `setWBytesIsSet(boolean value)`
    `TLogStat` | `setWcBytes(int wcBytes)`
    `void` | `setWcBytesIsSet(boolean value)`
    `TLogStat` | `setWcMbytes(int wcMbytes)`
    `void` | `setWcMbytesIsSet(boolean value)`
    `TLogStat` | `setWCount(long WCount)`
    `TLogStat` | `setWCountFill(long WCountFill)`
    `void` | `setWCountFillIsSet(boolean value)`
    `void` | `setWCountIsSet(boolean value)`
    `TLogStat` | `setWMbytes(int WMbytes)`
    `void` | `setWMbytesIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCurFile()`
    `void` | `unsetCurOffset()`
    `void` | `unsetDiskFile()`
    `void` | `unsetDiskOffset()`
    `void` | `unsetFileidInit()`
    `void` | `unsetLgBSize()`
    `void` | `unsetLgSize()`
    `void` | `unsetMagic()`
    `void` | `unsetMaxCommitperflush()`
    `void` | `unsetMaxNfileId()`
    `void` | `unsetMinCommitperflush()`
    `void` | `unsetMode()`
    `void` | `unsetNumFileId()`
    `void` | `unsetRCount()`
    `void` | `unsetRecord()`
    `void` | `unsetRegionNowait()`
    `void` | `unsetRegionWait()`
    `void` | `unsetRegSize()`
    `void` | `unsetSCount()`
    `void` | `unsetVersion()`
    `void` | `unsetWBytes()`
    `void` | `unsetWcBytes()`
    `void` | `unsetWcMbytes()`
    `void` | `unsetWCount()`
    `void` | `unsetWCountFill()`
    `void` | `unsetWMbytes()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### curFile

          public int curFile

    - #### curOffset

          public int curOffset

    - #### diskFile

          public int diskFile

    - #### diskOffset

          public int diskOffset

    - #### fileidInit

          public int fileidInit

    - #### lgBSize

          public int lgBSize

    - #### lgSize

          public int lgSize

    - #### magic

          public int magic

    - #### maxCommitperflush

          public int maxCommitperflush

    - #### maxNfileId

          public int maxNfileId

    - #### minCommitperflush

          public int minCommitperflush

    - #### mode

          public int mode

    - #### numFileId

          public int numFileId

    - #### RCount

          public long RCount

    - #### record

          public long record

    - #### regionNowait

          public long regionNowait

    - #### regionWait

          public long regionWait

    - #### regSize

          public long regSize

    - #### SCount

          public long SCount

    - #### version

          public int version

    - #### WBytes

          public int WBytes

    - #### wcBytes

          public int wcBytes

    - #### wcMbytes

          public int wcMbytes

    - #### WMbytes

          public int WMbytes

    - #### WCount

          public long WCount

    - #### WCountFill

          public long WCountFill

    - #### metaDataMap

          public static final java.util.Map<TLogStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TLogStat

          public TLogStat()

    - #### TLogStat

          public TLogStat(int curFile,
                          int curOffset,
                          int diskFile,
                          int diskOffset,
                          int fileidInit,
                          int lgBSize,
                          int lgSize,
                          int magic,
                          int maxCommitperflush,
                          int maxNfileId,
                          int minCommitperflush,
                          int mode,
                          int numFileId,
                          long RCount,
                          long record,
                          long regionNowait,
                          long regionWait,
                          long regSize,
                          long SCount,
                          int version,
                          int WBytes,
                          int wcBytes,
                          int wcMbytes,
                          int WMbytes,
                          long WCount,
                          long WCountFill)

    - #### TLogStat

          public TLogStat(TLogStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TLogStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TLogStat,TLogStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TLogStat,TLogStat._Fields>`

    - #### getCurFile

          public int getCurFile()

    - #### setCurFile

          public TLogStat setCurFile(int curFile)

    - #### unsetCurFile

          public void unsetCurFile()

    - #### isSetCurFile

          public boolean isSetCurFile()

      Returns true if field curFile is set (has been assigned a value) and false otherwise

    - #### setCurFileIsSet

          public void setCurFileIsSet(boolean value)

    - #### getCurOffset

          public int getCurOffset()

    - #### setCurOffset

          public TLogStat setCurOffset(int curOffset)

    - #### unsetCurOffset

          public void unsetCurOffset()

    - #### isSetCurOffset

          public boolean isSetCurOffset()

      Returns true if field curOffset is set (has been assigned a value) and false otherwise

    - #### setCurOffsetIsSet

          public void setCurOffsetIsSet(boolean value)

    - #### getDiskFile

          public int getDiskFile()

    - #### setDiskFile

          public TLogStat setDiskFile(int diskFile)

    - #### unsetDiskFile

          public void unsetDiskFile()

    - #### isSetDiskFile

          public boolean isSetDiskFile()

      Returns true if field diskFile is set (has been assigned a value) and false otherwise

    - #### setDiskFileIsSet

          public void setDiskFileIsSet(boolean value)

    - #### getDiskOffset

          public int getDiskOffset()

    - #### setDiskOffset

          public TLogStat setDiskOffset(int diskOffset)

    - #### unsetDiskOffset

          public void unsetDiskOffset()

    - #### isSetDiskOffset

          public boolean isSetDiskOffset()

      Returns true if field diskOffset is set (has been assigned a value) and false otherwise

    - #### setDiskOffsetIsSet

          public void setDiskOffsetIsSet(boolean value)

    - #### getFileidInit

          public int getFileidInit()

    - #### setFileidInit

          public TLogStat setFileidInit(int fileidInit)

    - #### unsetFileidInit

          public void unsetFileidInit()

    - #### isSetFileidInit

          public boolean isSetFileidInit()

      Returns true if field fileidInit is set (has been assigned a value) and false otherwise

    - #### setFileidInitIsSet

          public void setFileidInitIsSet(boolean value)

    - #### getLgBSize

          public int getLgBSize()

    - #### setLgBSize

          public TLogStat setLgBSize(int lgBSize)

    - #### unsetLgBSize

          public void unsetLgBSize()

    - #### isSetLgBSize

          public boolean isSetLgBSize()

      Returns true if field lgBSize is set (has been assigned a value) and false otherwise

    - #### setLgBSizeIsSet

          public void setLgBSizeIsSet(boolean value)

    - #### getLgSize

          public int getLgSize()

    - #### setLgSize

          public TLogStat setLgSize(int lgSize)

    - #### unsetLgSize

          public void unsetLgSize()

    - #### isSetLgSize

          public boolean isSetLgSize()

      Returns true if field lgSize is set (has been assigned a value) and false otherwise

    - #### setLgSizeIsSet

          public void setLgSizeIsSet(boolean value)

    - #### getMagic

          public int getMagic()

    - #### setMagic

          public TLogStat setMagic(int magic)

    - #### unsetMagic

          public void unsetMagic()

    - #### isSetMagic

          public boolean isSetMagic()

      Returns true if field magic is set (has been assigned a value) and false otherwise

    - #### setMagicIsSet

          public void setMagicIsSet(boolean value)

    - #### getMaxCommitperflush

          public int getMaxCommitperflush()

    - #### setMaxCommitperflush

          public TLogStat setMaxCommitperflush(int maxCommitperflush)

    - #### unsetMaxCommitperflush

          public void unsetMaxCommitperflush()

    - #### isSetMaxCommitperflush

          public boolean isSetMaxCommitperflush()

      Returns true if field maxCommitperflush is set (has been assigned a value) and false otherwise

    - #### setMaxCommitperflushIsSet

          public void setMaxCommitperflushIsSet(boolean value)

    - #### getMaxNfileId

          public int getMaxNfileId()

    - #### setMaxNfileId

          public TLogStat setMaxNfileId(int maxNfileId)

    - #### unsetMaxNfileId

          public void unsetMaxNfileId()

    - #### isSetMaxNfileId

          public boolean isSetMaxNfileId()

      Returns true if field maxNfileId is set (has been assigned a value) and false otherwise

    - #### setMaxNfileIdIsSet

          public void setMaxNfileIdIsSet(boolean value)

    - #### getMinCommitperflush

          public int getMinCommitperflush()

    - #### setMinCommitperflush

          public TLogStat setMinCommitperflush(int minCommitperflush)

    - #### unsetMinCommitperflush

          public void unsetMinCommitperflush()

    - #### isSetMinCommitperflush

          public boolean isSetMinCommitperflush()

      Returns true if field minCommitperflush is set (has been assigned a value) and false otherwise

    - #### setMinCommitperflushIsSet

          public void setMinCommitperflushIsSet(boolean value)

    - #### getMode

          public int getMode()

    - #### setMode

          public TLogStat setMode(int mode)

    - #### unsetMode

          public void unsetMode()

    - #### isSetMode

          public boolean isSetMode()

      Returns true if field mode is set (has been assigned a value) and false otherwise

    - #### setModeIsSet

          public void setModeIsSet(boolean value)

    - #### getNumFileId

          public int getNumFileId()

    - #### setNumFileId

          public TLogStat setNumFileId(int numFileId)

    - #### unsetNumFileId

          public void unsetNumFileId()

    - #### isSetNumFileId

          public boolean isSetNumFileId()

      Returns true if field numFileId is set (has been assigned a value) and false otherwise

    - #### setNumFileIdIsSet

          public void setNumFileIdIsSet(boolean value)

    - #### getRCount

          public long getRCount()

    - #### setRCount

          public TLogStat setRCount(long RCount)

    - #### unsetRCount

          public void unsetRCount()

    - #### isSetRCount

          public boolean isSetRCount()

      Returns true if field RCount is set (has been assigned a value) and false otherwise

    - #### setRCountIsSet

          public void setRCountIsSet(boolean value)

    - #### getRecord

          public long getRecord()

    - #### setRecord

          public TLogStat setRecord(long record)

    - #### unsetRecord

          public void unsetRecord()

    - #### isSetRecord

          public boolean isSetRecord()

      Returns true if field record is set (has been assigned a value) and false otherwise

    - #### setRecordIsSet

          public void setRecordIsSet(boolean value)

    - #### getRegionNowait

          public long getRegionNowait()

    - #### setRegionNowait

          public TLogStat setRegionNowait(long regionNowait)

    - #### unsetRegionNowait

          public void unsetRegionNowait()

    - #### isSetRegionNowait

          public boolean isSetRegionNowait()

      Returns true if field regionNowait is set (has been assigned a value) and false otherwise

    - #### setRegionNowaitIsSet

          public void setRegionNowaitIsSet(boolean value)

    - #### getRegionWait

          public long getRegionWait()

    - #### setRegionWait

          public TLogStat setRegionWait(long regionWait)

    - #### unsetRegionWait

          public void unsetRegionWait()

    - #### isSetRegionWait

          public boolean isSetRegionWait()

      Returns true if field regionWait is set (has been assigned a value) and false otherwise

    - #### setRegionWaitIsSet

          public void setRegionWaitIsSet(boolean value)

    - #### getRegSize

          public long getRegSize()

    - #### setRegSize

          public TLogStat setRegSize(long regSize)

    - #### unsetRegSize

          public void unsetRegSize()

    - #### isSetRegSize

          public boolean isSetRegSize()

      Returns true if field regSize is set (has been assigned a value) and false otherwise

    - #### setRegSizeIsSet

          public void setRegSizeIsSet(boolean value)

    - #### getSCount

          public long getSCount()

    - #### setSCount

          public TLogStat setSCount(long SCount)

    - #### unsetSCount

          public void unsetSCount()

    - #### isSetSCount

          public boolean isSetSCount()

      Returns true if field SCount is set (has been assigned a value) and false otherwise

    - #### setSCountIsSet

          public void setSCountIsSet(boolean value)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public TLogStat setVersion(int version)

    - #### unsetVersion

          public void unsetVersion()

    - #### isSetVersion

          public boolean isSetVersion()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### setVersionIsSet

          public void setVersionIsSet(boolean value)

    - #### getWBytes

          public int getWBytes()

    - #### setWBytes

          public TLogStat setWBytes(int WBytes)

    - #### unsetWBytes

          public void unsetWBytes()

    - #### isSetWBytes

          public boolean isSetWBytes()

      Returns true if field WBytes is set (has been assigned a value) and false otherwise

    - #### setWBytesIsSet

          public void setWBytesIsSet(boolean value)

    - #### getWcBytes

          public int getWcBytes()

    - #### setWcBytes

          public TLogStat setWcBytes(int wcBytes)

    - #### unsetWcBytes

          public void unsetWcBytes()

    - #### isSetWcBytes

          public boolean isSetWcBytes()

      Returns true if field wcBytes is set (has been assigned a value) and false otherwise

    - #### setWcBytesIsSet

          public void setWcBytesIsSet(boolean value)

    - #### getWcMbytes

          public int getWcMbytes()

    - #### setWcMbytes

          public TLogStat setWcMbytes(int wcMbytes)

    - #### unsetWcMbytes

          public void unsetWcMbytes()

    - #### isSetWcMbytes

          public boolean isSetWcMbytes()

      Returns true if field wcMbytes is set (has been assigned a value) and false otherwise

    - #### setWcMbytesIsSet

          public void setWcMbytesIsSet(boolean value)

    - #### getWMbytes

          public int getWMbytes()

    - #### setWMbytes

          public TLogStat setWMbytes(int WMbytes)

    - #### unsetWMbytes

          public void unsetWMbytes()

    - #### isSetWMbytes

          public boolean isSetWMbytes()

      Returns true if field WMbytes is set (has been assigned a value) and false otherwise

    - #### setWMbytesIsSet

          public void setWMbytesIsSet(boolean value)

    - #### getWCount

          public long getWCount()

    - #### setWCount

          public TLogStat setWCount(long WCount)

    - #### unsetWCount

          public void unsetWCount()

    - #### isSetWCount

          public boolean isSetWCount()

      Returns true if field WCount is set (has been assigned a value) and false otherwise

    - #### setWCountIsSet

          public void setWCountIsSet(boolean value)

    - #### getWCountFill

          public long getWCountFill()

    - #### setWCountFill

          public TLogStat setWCountFill(long WCountFill)

    - #### unsetWCountFill

          public void unsetWCountFill()

    - #### isSetWCountFill

          public boolean isSetWCountFill()

      Returns true if field WCountFill is set (has been assigned a value) and false otherwise

    - #### setWCountFillIsSet

          public void setWCountFillIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TLogStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TLogStat,TLogStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TLogStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TLogStat,TLogStat._Fields>`

    - #### isSet

          public boolean isSet(TLogStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TLogStat,TLogStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TLogStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TLogStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TLogStat>`

    - #### fieldForId

          public TLogStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TLogStat,TLogStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.